FINGER(1)

NOM
finger - Programme de recherche d’informations sur les utilisateurs

SYNOPSIS
finger [-lmsp] [utilisateur ...] [utilisateur@hôte ...]

DESCRIPTION
La commande finger affiche des informations sur les utilisateurs du système.

Les options sont :

-s  Finger affiche pour un utilisateur donné, son nom de connexion, son nom réel, son nom de terminal et l’autorisation d’écriture (sous forme d’un « * » après le nom du terminal en l’absence d’autorisation), sa période d’inactivité, son heure de connexion, l’emplacement de son bureau et son numéro de téléphone.

    L’heure de connexion est affichée en mois, jour, heure et minute à moins que qu’elle soit supérieure à six mois, auquel cas l’année est affichée au lieu des heures et minutes.

    Les périphériques inconnus ainsi que les temps d’inactivité et de connexion non existants sont affichés sous forme de simples astérisques.

-l  Afficher dans un format multiligne toutes les informations telles que décrites avec l’option -s, ainsi que le répertoire personnel de l’utilisateur, son numéro de téléphone personnel, son interpréteur de commandes de connexion, l’état de ses courriels et le contenu des fichiers .plan, .project, .pgpkey et .forward du répertoire personnel de l’utilisateur.

    Les numéros de téléphone à onze chiffres sont affichés sous la forme « +N-NNN-NNN-NNNN », ceux à dix ou à sept chiffres sont affichés selon le sous-ensemble approprié de cette chaine, ceux à cinq chiffres sont affichés sous la forme « xN-NNNN », ceux à quatre chiffres sont affichés sous la forme « xNNNN ».

    Si la permission d’écriture est refusée pour le périphérique, l’expression « (messages off) » est ajoutée à la ligne contenant le nom du périphérique. Une entrée par utilisateur est affichée avec l’option -l. Si un utilisateur s’est connecté plusieurs fois, l’information de terminal est répétée une fois par connexion.

    L’état du courrier est affiché sous la forme « No Mail. » en l’absence de courriel, « Mail last read JJJ MMM ## HH:MM AAAA (TZ) » si la personne a consulté sa boîte aux lettres depuis l’arrivée d’un nouveau courriel ou « New mail received ... », « Unread since ... » si un nouveau courriel a été reçu.

-p  Empêcher que l’option -l de finger affiche le contenu des fichiers .plan, .project et .pgpkey.

-m  Empêcher la correspondance de noms d’utilisateur. utilisateur est habituellement un nom de connexion. Cependant la correspondance peut être établie avec les noms réels d’utilisateur, à moins que l’option -m soit indiquée. Toute correspondance réalisée par finger est indépendante de la casse.

Si aucune option n’est indiquée, finger adoptera par défaut le style -l de sortie si des opérandes sont fournis, sinon ce sera le style de -s. Il est à noter que, dans chaque format, certains champs peuvent être manquants si aucune information n’est disponible pour ces derniers.

Si aucun argument n’est fourni, finger affichera une entrée pour chaque utilisateur actuellement connecté au système.

finger peut être utilisé pour rechercher des utilisateurs sur une machine distante. Le format pour indiquer un utilisateur est utilisateur@hôte ou @hôte où le format de sortie par défaut est pour le premier du style -l et pour le second du style -s. L’option -l est la seule pouvant être passée à la machine distante.

Si la sortie standard est un socket, finger émettra un retour chariot (^M) avant chaque saut de ligne (^J), cela pour traiter les requêtes distantes de finger invoquées par fingerd(8).

FICHIERS

~/.nofinger
    Si finger trouve ce fichier dans un répertoire personnel d’utilisateur pour des requêtes de finger ne provenant pas de l’hôte local, il refusera de reconnaitre l’existence de cet utilisateur. Pour cela, le programme finger, si appelé par fingerd(8), doit pouvoir apercevoir le fichier .nofinger. Cela signifie généralement que le répertoire personnel contenant le fichier doit avoir le bit d’exécution par les autres utilisateurs (o+x) activé (voir chmod(1)). Si cette fonctionnalité est utilisée dans un but de respect de la vie privée, par sécurité, il vaut mieux la tester avec « finger @localhost » avant de se reposer sur elle.

~/.plan

~/.project

~/.pgpkey
    Ces fichiers sont créés en tant que parties d’une requête de format long. Le fichier .plan peut être de longueur arbitraire.

VOIR AUSSI
chfn(1), passwd(1), w(1), who(1)

HISTORIQUE
La commande finger est apparue dans 3.0BSD.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.